Name:             kpolynome
#Version          0.1-2   second upstream release
Version:          0.1.2
Release:          15%{?dist}
Summary:          A polynome calculation program

License:          GPLv2
Group:            Applications/Engineering
URL:              http://sourceforge.net/projects/%{name}
Source:           http://downloads.sourceforge.net/project/kpolynome/Source/0.1-2/%{name}-0.1-2.tar.gz
Patch0:           kpolynome-0.1-2-desktop.patch
Patch1:           %{name}-%{version}-autotools.patch
Patch2:           kpolynome-0.1-gcc43.patch

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    automake libtool
BuildRequires:    kdelibs3-devel, desktop-file-utils


%description
KPolynome is a program to calculate mathematical polynomes
based on given data coordinates.

%prep
%setup -q -n %{name}-0.1

%patch0 -p0 -b %{name}.desktop
# fix for autoconf >= 2.6 & automake >= 2.10 on admin/cvs.sh
%patch1 -p0 -b .autotools
%patch2 -p1 -b .gcc43

# Fix for 511534 FTBFS kpolynome-0.1.2-13.fc11
%{__sed} -i "s|automake\*1.10\*|automake\*1.11\*|" admin/cvs.sh

%{__make} -f admin/Makefile.common cvs

%build
%configure --disable-rpath
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
%{__rm} -rf doc/{en,hu}/Makefile*
chmod 644 {AUTHORS,ChangeLog,COPYING,NEWS}
chmod 644 src/{drawwidget.*,maindialog.*,maindlg.ui.h,matdata.*,curvedialog.*,main.cpp,curvedlg.ui.h}
chmod 644 doc/{en,hu}/index.docbook

# Fix absolute symlink
%{__rm} -f %{buildroot}%{_docdir}/HTML/??/%{name}/common

desktop-file-install --vendor fedora             \
  --remove-category "Science"                    \
  --delete-original                              \
  --dir %{buildroot}%{_datadir}/applications/ \
  %{buildroot}%{_datadir}/applnk/Edutainment/Mathematics/%{name}.desktop

%{__rm} -rf %{buildroot}%{_docdir}/HTML/

#No translations

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
%{_bindir}/update-desktop-database %{_datadir}/applications || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
%{_bindir}/update-desktop-database %{_datadir}/applications || :

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog TODO doc/en doc/hu
%{_bindir}/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/??x??/apps/%{name}.png

%changelog
* Sat Sep 05 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.1.2-15
- Fixed for 511534 FTBFS kpolynome-0.1.2-13.fc11
- Improved Source url

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Mar 31 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.1.2-12
- gcc43 patch (#434028)

* Fri Aug 24 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.1.2-10
- mass rebuild for fedora 8 - BuildID

* Sat Feb 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.1.2-9
- Rebuild for FC-7 devel with autotools patched

* Sat Feb 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.1.2-8
- rebuilt and fixed duplicates in the kmenu

* Mon Sep 11 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.1.2-7
- Rebuild for FC-6 devel

* Sat Aug 26 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.1.2-6
- Replaced $$RPM_BUILD_ROOT by %%{buildroot}
- Removed requires: kdelibs

* Sat Aug 26 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.1.2-5
- Removed useless Makefiles in doc/{en,hu}

* Fri Aug 25 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.1.2-4
- Restored HTML documents

* Fri Aug 25 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.1.2-3
- Fixed script-without-shellbang for kpolynome-debuginfo
- Used update-desktop-database in %%post and %%postun
- Fixed xcircuit.desktop

* Sun Aug 20 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.1.2-2
- Added autoconf and automake as BRs.
- Owned proper directories in %%files
- Fixed rpmlint issues

* Sun Aug 13 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.1.2-1
- initial package
